New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

impossible to install the phonegap-plugin-push Error #130

Closed
eros2187 opened this Issue Sep 14, 2015 · 16 comments

Comments

Projects
None yet
3 participants
@eros2187

error

this morning and you can not install the plug error up to Seasons last night everything worked !!
it's possible thanks Solve??
joseph greetings

@caipigott

This comment has been minimized.

Show comment
Hide comment
@caipigott

caipigott Sep 14, 2015

Hi,

i also can't install the plugin anymore. In order to get the new funtion for LED i removed the pluging and tried to add it again using "cordova plugin add https://github.com/phonegap/phonegap-plugin-push" but i get the following error:

Error: Does not appear to be an xcode project, no xcode project file in C:\Users
\xxxxxx\yyyyyy\platforms\android

xcode is for IOs, right? I'm using windows and with the update last wednesday everything was fine. Now i can't build anymore as i always get the xcode-error.

Greetings,
Caipigott

Hi,

i also can't install the plugin anymore. In order to get the new funtion for LED i removed the pluging and tried to add it again using "cordova plugin add https://github.com/phonegap/phonegap-plugin-push" but i get the following error:

Error: Does not appear to be an xcode project, no xcode project file in C:\Users
\xxxxxx\yyyyyy\platforms\android

xcode is for IOs, right? I'm using windows and with the update last wednesday everything was fine. Now i can't build anymore as i always get the xcode-error.

Greetings,
Caipigott

@eros2187

This comment has been minimized.

Show comment
Hide comment
@eros2187

eros2187 Sep 14, 2015

in fact until yesterday evening everything worked !! ? this morning are unable to fill and can Solve thanks

in fact until yesterday evening everything worked !! ? this morning are unable to fill and can Solve thanks

@macdonst

This comment has been minimized.

Show comment
Hide comment
@macdonst

macdonst Sep 14, 2015

Member

@eros2187 one of the changes checked in yesterday was the move to Gradle. If you are having problems with the current master than add the 1.2.3 version to your project. How exactly are you building the app as I don't recognize the screen shot you posted.

@caipigott it looks like you typed the plugin add command in the wrong directory.

Member

macdonst commented Sep 14, 2015

@eros2187 one of the changes checked in yesterday was the move to Gradle. If you are having problems with the current master than add the 1.2.3 version to your project. How exactly are you building the app as I don't recognize the screen shot you posted.

@caipigott it looks like you typed the plugin add command in the wrong directory.

@eros2187

This comment has been minimized.

Show comment
Hide comment
@eros2187

eros2187 Sep 14, 2015

use intel XDK and chart using url
https://github.com/phonegap/phonegap-plugin-push.git
id: PhoneGap-plugin-push

give me compile error
there a direct link to 1.2.3?

use intel XDK and chart using url
https://github.com/phonegap/phonegap-plugin-push.git
id: PhoneGap-plugin-push

give me compile error
there a direct link to 1.2.3?

@caipigott

This comment has been minimized.

Show comment
Hide comment
@caipigott

caipigott Sep 14, 2015

Hi,

thanks for your reply.
I used the same directory i always used, and so far it always worked. But if it was the wrong the wrong directory, why i can't build anymore?

Here is my list of plugins:

[ 'de.appplant.cordova.plugin.email-composer',
'org.apache.cordova.device',
'org.apache.cordova.dialogs',
'org.apache.cordova.file',
'org.apache.cordova.file-transfer',
'org.apache.cordova.inappbrowser',
'org.apache.cordova.statusbar',
'org.apache.cordova.vibration',
'phonegap-plugin-push',
'uk.co.whiteoctober.cordova.appversion' ]

Trying to remove the phonegap-plugin-push leads again to the same error:

C:\Users\xxxx\yyyy>cordova plugins rm phonegap-plugin-push
Uninstalling phonegap-plugin-push from android
Error: Does not appear to be an xcode project, no xcode project file in C:\Users
\xxxxr\yyyy\platforms\android

The same problems (xcode error) i faced using the depricated plugin at https://github.com/phonegap-build/PushPlugin, which was the reason i started to use this one.

Greetings,
Caipigott

Hi,

thanks for your reply.
I used the same directory i always used, and so far it always worked. But if it was the wrong the wrong directory, why i can't build anymore?

Here is my list of plugins:

[ 'de.appplant.cordova.plugin.email-composer',
'org.apache.cordova.device',
'org.apache.cordova.dialogs',
'org.apache.cordova.file',
'org.apache.cordova.file-transfer',
'org.apache.cordova.inappbrowser',
'org.apache.cordova.statusbar',
'org.apache.cordova.vibration',
'phonegap-plugin-push',
'uk.co.whiteoctober.cordova.appversion' ]

Trying to remove the phonegap-plugin-push leads again to the same error:

C:\Users\xxxx\yyyy>cordova plugins rm phonegap-plugin-push
Uninstalling phonegap-plugin-push from android
Error: Does not appear to be an xcode project, no xcode project file in C:\Users
\xxxxr\yyyy\platforms\android

The same problems (xcode error) i faced using the depricated plugin at https://github.com/phonegap-build/PushPlugin, which was the reason i started to use this one.

Greetings,
Caipigott

@eros2187

This comment has been minimized.

Show comment
Hide comment
@eros2187

eros2187 Sep 14, 2015

I compiled the plugin solved by putting this link:
https://github.com/phonegap/phonegap-plugin-push.git#1.2.3
id: PhoneGap-plugin-push

please try thanks to me now compiles without errors
senza titolo 1

I compiled the plugin solved by putting this link:
https://github.com/phonegap/phonegap-plugin-push.git#1.2.3
id: PhoneGap-plugin-push

please try thanks to me now compiles without errors
senza titolo 1

@macdonst

This comment has been minimized.

Show comment
Hide comment
@macdonst

macdonst Sep 14, 2015

Member

@eros2187 Yeah, I don't use the Intel XDK to compile apps. It appears one of two things:

  1. They do not support gradle
  2. You need to do something to add the com.android.support:support-v13:22+ framework to your app.
Member

macdonst commented Sep 14, 2015

@eros2187 Yeah, I don't use the Intel XDK to compile apps. It appears one of two things:

  1. They do not support gradle
  2. You need to do something to add the com.android.support:support-v13:22+ framework to your app.
@eros2187

This comment has been minimized.

Show comment
Hide comment
@eros2187

eros2187 Sep 14, 2015

I compiled the plugin solved by putting this link:
https://github.com/phonegap/phonegap-plugin-push.git#1.2.3
id: PhoneGap-plugin-push

I compiled the plugin solved by putting this link:
https://github.com/phonegap/phonegap-plugin-push.git#1.2.3
id: PhoneGap-plugin-push

@macdonst

This comment has been minimized.

Show comment
Hide comment
@macdonst

macdonst Sep 14, 2015

Member

@caipigott What version of PhoneGap/Cordova are you using?

Member

macdonst commented Sep 14, 2015

@caipigott What version of PhoneGap/Cordova are you using?

@caipigott

This comment has been minimized.

Show comment
Hide comment
@caipigott

caipigott Sep 14, 2015

When i call "cordova -version"
i get 3.4.1-0.1.0

That's what you meant?

When i call "cordova -version"
i get 3.4.1-0.1.0

That's what you meant?

@macdonst

This comment has been minimized.

Show comment
Hide comment
@macdonst

macdonst Sep 14, 2015

Member

@caipigott Yeah, that is what I mean and that is a super old version. If you can reproduce with Cordova 5.0 or greater please re-open this issue.

Member

macdonst commented Sep 14, 2015

@caipigott Yeah, that is what I mean and that is a super old version. If you can reproduce with Cordova 5.0 or greater please re-open this issue.

@macdonst macdonst closed this Sep 14, 2015

@eros2187

This comment has been minimized.

Show comment
Hide comment

4.1.2

@caipigott

This comment has been minimized.

Show comment
Hide comment
@caipigott

caipigott Sep 14, 2015

Oh, ok, sry !
But how can i update to 5 or higher? For example to the latest version, and do all my plugins still work after that?

Oh, ok, sry !
But how can i update to 5 or higher? For example to the latest version, and do all my plugins still work after that?

@eros2187

This comment has been minimized.

Show comment
Hide comment
@eros2187

eros2187 Sep 14, 2015

ok you have to use 5.0 cordova
Exit When new version plugin to with data.additionalData working ?

ok you have to use 5.0 cordova
Exit When new version plugin to with data.additionalData working ?

@macdonst

This comment has been minimized.

Show comment
Hide comment
@macdonst

macdonst Sep 15, 2015

Member

@caipigott just install the cordova 5 cli from github. You can read my blog post on updating plugins.

http://simonmacdonald.blogspot.ca/2015/06/including-plugins-with-cordova-command.html

@eros2187 soonish, I need to tag a release and do a blog post sometime this week.

Member

macdonst commented Sep 15, 2015

@caipigott just install the cordova 5 cli from github. You can read my blog post on updating plugins.

http://simonmacdonald.blogspot.ca/2015/06/including-plugins-with-cordova-command.html

@eros2187 soonish, I need to tag a release and do a blog post sometime this week.

@macdonst macdonst referenced this issue Sep 16, 2015

Closed

version 1.2.3 #134

@lock

This comment has been minimized.

Show comment
Hide comment
@lock

lock bot Jun 5, 2018

This thread has been automatically locked.

lock bot commented Jun 5, 2018

This thread has been automatically locked.

@lock lock bot locked as resolved and limited conversation to collaborators Jun 5, 2018

Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.